# MediaMelon DashJS SDK Integration Document

### **Step 1: Add** the MediaMelon Player SDK <a href="#step-1-add-mediamelon-smartstreaming-sdk-hardbreak" id="step-1-add-mediamelon-smartstreaming-sdk-hardbreak"></a>

Include the following line in the web page at the start

```javascript
<script type="text/javascript" src="https://sdk.mediamelon.com/SDK_RELEASES/Javascript/dashjs/v1.3.0/mmsmartstreaming_dashjsplayer.min.js"></script>
```

### **Step 2: Register and Initialize** the MediaMelon Player SDK <a href="#step-2-register-and-initialize-mediamelon-sdk" id="step-2-register-and-initialize-mediamelon-sdk"></a>

{% hint style="info" %}
\<customer\_id> is your MediaMelon-assigned Customer ID. If you do not know your Customer ID contact MediaMelon at [support@mediamelon.com](https://emailto:support@mediamelon.com)
{% endhint %}

After the player instance has been created, create a new Plugin object, register, report player Info and then initialize the plugin as shown below:

```html
<script>
    var player = dashjs.MediaPlayer().create();
    var mmdashjsPlugin = new DASHPlayerMMSSIntgr();

    var mmVideoAssetInfo = {
      "assetName": "ASSET_NAME",
      "assetId": "ASSET_ID",
      "videoId": "VIDEO_ID",
      "contentType": "CONTENT_TYPE",
      "genre": "GENRE",
      "drmProtection": "DRM_PROTECTION",
      "episodeNumber": "EPISODE_NUMBER",
      "season": "SEASON",
      "seriesTitle": "SERIES_TITLE",
      "customTags": {
        "key1": "VALUE_STRING1",
        "key2": "VALUE_STRING2"
      }
    };

    let mediaURL = "https://livesim.dashif.org/livesim/chunkdur_1/ato_7/testpic4_8s/Manifest.mpd";
    let isLive = true;

      if (mmdashjsPlugin.getRegistrationStatus() === false) {
        mmdashjsPlugin.registerMMSmartStreaming("PLAYER_NAME", "CUSTOMER_ID",
          "SUBSCRIBER_ID",
          "DOMAIN_NAME",
          "SUBSCRIBER_TYPE",
          "SUBSCRIBER_TAG");
        mmdashjsPlugin.reportPlayerInfo("PLAYER_BRAND", "PLAYER_MODEL", 'PLAYER_VERSION');        
      }
      
      mmdashjsPlugin.reportAppInfo("APP_NAME", "APP_VERSION");
      mmdashjsPlugin.setDeviceInfo("DEVICE_MARKETING_NAME");
      mmdashjsPlugin.reportExperimentName("EXPERIMENT_NAME");
      mmdashjsPlugin.reportSubPropertyId("SUB_PROPERTY_ID");         
      mmdashjsPlugin.reportBasePlayerInfo("BASE_PLAYER_NAME", "BASE_PLAYER_VERSION");

    mmdashjsPlugin.reportViewSessionId("VIEW_SESSION_ID");
    mmdashjsPlugin.initialize(player, mediaURL, mmVideoAssetInfo, isLive);
    player.initialize(document.querySelector("#videoPlayer"), mediaURL, true);    
  </script>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mediamelon.com/mediamelon/smartsight-player-sdk-integration/web/mediamelon-dashjs-sdk-integration-document.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
